%define	upstream_name    Mail-Box
%define upstream_version 2.107

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Mail-folder manager API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Date::Format)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(Digest::HMAC_MD5)
BuildRequires: perl(Encode) >= 2.260.0
BuildRequires: perl(Errno)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Remove) >= 0.200.0
BuildRequires: perl(File::Spec) >= 0.700.0
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(MIME::Types) >= 1.4.0
BuildRequires: perl(Mail::Address)
BuildRequires: perl(Object::Realize::Later) >= 0.140.0
BuildRequires: perl(Scalar::Util) >= 1.130.0
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(TAP::Harness) >= 3.0.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::Pod) >= 1.0.0
BuildRequires: perl(Time::Zone)
BuildRequires: perl(URI) >= 1.230.0
BuildRequires: perl(User::Identity) >= 0.930.0
BuildRequires: perl-File-Remove
BuildRequires: perl-HTML-Format
BuildRequires: perl-HTML-Tree
BuildRequires: perl-Mail-IMAPClient
BuildRequires: perl-Mail-MboxParser
BuildRequires: perl-Mail-SpamAssassin
BuildRequires: perl-MailTools
BuildRequires: perl-MIME-tools
BuildRequires: perl-MIME-Types
BuildRequires: perl-Object-Realize-Later
BuildRequires: perl-User-Identity
BuildArch:  noarch

Requires:   perl(Object::Realize::Later)
Provides:   perl(Mail::Message::Construct)

%description
Mail::Box is a Perl CPAN package that can be used to handle and manage E-mail
messages, mail boxes, and folders of many types.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

#%check
#%{__make} test

%install
%makeinstall_std

# fix permissions
find %{buildroot} -type f -exec chmod 0644 {} \;
find %{buildroot} -type d -exec chmod 0755 {} \;

# remove unused file
rm -f %{buildroot}%{perl_vendorlib}/Mail/Makefile.PL

%files
%doc ChangeLog INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/*/*
%{perl_vendorlib}/Mail

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.107.0-2.mga3
+ Revision: 369395
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.107.0-1.mga3
+ Revision: 342385
- update to 2.107

* Fri Aug 31 2012 kharec <kharec> 2.106.0-1.mga3
+ Revision: 286280
- update to 2.106

* Tue Jun 05 2012 jquelin <jquelin> 2.105.0-1.mga3
+ Revision: 255150
- update to 2.105

* Thu Jan 05 2012 jquelin <jquelin> 2.102.0-1.mga2
+ Revision: 191209
- update to 2.102
- update to 2.101

* Fri Jul 08 2011 jquelin <jquelin> 2.99.0-1.mga2
+ Revision: 120437
- update to 2.099

* Fri Mar 18 2011 jquelin <jquelin> 2.98.0-1.mga1
+ Revision: 74126
- update to 2.098

* Mon Jan 31 2011 dmorgan <dmorgan> 2.97.0-1.mga1
+ Revision: 45203
- New version

* Mon Jan 24 2011 jquelin <jquelin> 2.96.0-1.mga1
+ Revision: 36408
- mageia rebuild
- imported package perl-Mail-Box

